Loading...
Searching...
No Matches
LomiriUtil::AbstractTimer Class Referenceabstract

`#include <plugins/Utils/Timer.h>`

Inheritance diagram for LomiriUtil::AbstractTimer:
[legend]

## Signals

void | timeout ()

## Public Member Functions

| AbstractTimer (QObject *parent)
virtual int | interval () const =0
virtual void | setInterval (int msecs)=0
virtual void | start ()=0
virtual void | stop ()=0
virtual bool | isRunning () const =0
virtual bool | isSingleShot () const =0
virtual void | setSingleShot (bool value)=0

## Detailed Description

Defines an interface for a Timer. Useful for tests.

Definition at line 29 of file Timer.h.

## Constructor & Destructor Documentation

## AbstractTimer()

LomiriUtil::AbstractTimer::AbstractTimer | ( | QObject * | parent | ) |

inline

Definition at line 33 of file Timer.h.

: QObject(parent) {}

The documentation for this class was generated from the following file:

- plugins/Utils/Timer.h